> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collections

> List collections for the team.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/collections
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/collections:
    get:
      tags:
        - collections
      summary: List Collections
      description: List collections for the team.
      operationId: list_collections_api_v1_collections_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CollectionListResponse:
      properties:
        collections:
          items:
            $ref: '#/components/schemas/CollectionResponse'
          type: array
          title: Collections
        total:
          type: integer
          title: Total
      type: object
      required:
        - collections
        - total
      title: CollectionListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CollectionResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        archived:
          type: boolean
          title: Archived
        file_count:
          type: integer
          title: File Count
          default: 0
        files:
          items:
            $ref: '#/components/schemas/CollectionFileResponse'
          type: array
          title: Files
          default: []
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
        updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated
      type: object
      required:
        - id
        - name
        - description
        - archived
        - created
        - updated
      title: CollectionResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CollectionFileResponse:
      properties:
        uploaded_file_id:
          type: integer
          title: Uploaded File Id
        original_filename:
          type: string
          title: Original Filename
        file_size:
          type: integer
          title: File Size
        content_type:
          type: string
          title: Content Type
        sort_order:
          type: integer
          title: Sort Order
        last_eval_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Eval Score
        last_score_breakdown:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Last Score Breakdown
      type: object
      required:
        - uploaded_file_id
        - original_filename
        - file_size
        - content_type
        - sort_order
      title: CollectionFileResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````